Index Page ekopr_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void ekopr_c ( ConstSpiceChar  * fname,
                      SpiceInt        * handle )
#### Abstract
       Open an existing E-kernel file for reading.
#### Required_Reading
       EK
#### Keywords
       EK
       FILES
       UTILITY
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       fname      I   Name of EK file.
       handle     O   Handle attached to EK file.
#### Detailed_Input
       fname          is the name of an existing E-kernel file to be
                      opened for read access.
#### Detailed_Output
       handle         is the EK file handle of the file designated by
                      fname.  This handle is used to identify the file
                      to other EK routines.
#### Parameters
       None.
#### Exceptions
       1)  If the indicated file cannot be opened, the error will be
           diagnosed by routines called by this routine.  The new file
           will be deleted.

       2)  If the indicated file has the wrong architecture version, the
           error will be diagnosed by routines called by this routine.

       3)  If an I/O error occurs while reading the indicated file, the
           error will be diagnosed by routines called by this routine.
#### Files
       See the EK Required Reading for a discussion of the EK file
       format.
#### Particulars
       This routine should be used to open an EK file for read access.
       EKs opened for read access may not be modified.

       Opening an EK file with this routine makes the EK accessible to
       the CSPICE EK readers

          ekrcec_c
          ekrced_c
          ekrcei_c

       all of which expect an EK file handle as an input argument.  These
       readers allow a caller to read individual EK column entries.

       To make an EK available to the EK query system, the file must be
       loaded via eklef_c, rather than by this routine.  See the EK
       Required Reading for further information.
#### Examples
       1)  Open the file my.ek for read access:

              ekopr_c ( "my.ek", &handle );
#### Restrictions
       1)  No more than CSPICE_EK_MAX_OPEN_FILES EK files may be opened
           or loaded within the EK system simultaneously.  See the header
           file SpicePar.h for the numeric value of the limit.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman   (JPL)
#### Version
       -CSPICE Version 1.1.0, 23-JUL-2001 (NJB)

           Removed tab characters from source file.

       -CSPICE Version 1.0.0, 27-MAR-1998

           Based on SPICELIB Version 1.0.0, 26-AUG-1995 (NJB)
#### Index_Entries
       open EK for reading
#### Link to routine ekopr_c source file ekopr_c.c

    Wed Jun  9 13:05:22 2010